package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractBatchRecallRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件】电子签约文件 【作用】 查询需要撤回的电子签约文件集合 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractInfos []*common.ContractRequest `json:"contractInfos"`
	// 【撤回原因】撤回原因 【传参】 最大长度：500字符。
	Reason string `json:"reason,omitempty"`
}

func (obj ContractBatchRecallRequest) GetUrl() string {
	return "/contract/batch/recall"
}

func (obj ContractBatchRecallRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
